Chargement...



Cette page ne s'affiche pas ? Cliquez ici
 
Retour au site zeldaroth.fr
le site officiel de Zelda ROTH
 
 FAQFAQ RangsRangs   RechercherRechercher   Liste des MembresListe des Membres   Groupes d'utilisateursGroupes d'utilisateurs   S'enregistrerS'enregistrer 
 ProfilProfil   Se connecter pour vérifier ses messages privésSe connecter pour vérifier ses messages privés   ConnexionConnexion 

Mac OS X Lion

 
Poster un nouveau sujet   Répondre au sujet    zeldaroth.fr Index du Forum -> Zelda ROTH
Voir le sujet précédent :: Voir le sujet suivant  
Auteur Message
Zeldon
Poule
Poule



Inscrit le: 16 Mai 2009
Age: 26

Messages: 105
Localisation: par ici, et aussi par là

MessagePosté le: Mar Oct 18, 2011 13:13    Sujet du message: Mac OS X Lion Répondre en citant

Salut tout le monde, après pas mal de temps d'absence j'avais eu envie de recommencer les trois jeux depuis le début. Donc, après avoir fait ma mise à jour et être passé à Mac OS X Lion, je tente de lancer le jeu, ne jeu n'a pas le temps de se lancer que déjà il m'affiche le message: "Zelda ROTH à quitté de manière imprévue". Pareil pour OLB et 3T.

Je suppose évidement que c'est parce qu'il ne sont pas compatible pour le nouveau système de chez Apple (beaucoup de jeux et applications on du faire des mises à jour pour les rendre compatible sur Lion). Conclusion faites après avoir réinstallé les jeux (ils fonctionnaient avant mon passage à Lion). Je me demande donc si il est possible d'avoir une nouvelle version qui soit compatible. J'ai hâte de pouvoir y rejouer. Merci d'avance.

Il se peut évidement que ce ne soit pas à cause de mon passage à Lion, dans ce cas c'est avec plaisir que j'accepte toutes solutions ou propositions pour me permettre de pouvoir rejouer à ces jeux magnifiques Wink

Zeldon

PS: Au passage désolé d'avoir été absent aussi longtemps de ce forum Wink
_________________




ET VIVE ZELDA!!!
Revenir en haut de page
Voir le profil de l'utilisateur Envoyer un message privé
Zeldon
Poule
Poule



Inscrit le: 16 Mai 2009
Age: 26

Messages: 105
Localisation: par ici, et aussi par là

MessagePosté le: Lun Oct 31, 2011 20:02    Sujet du message: Up Répondre en citant

Je me permet de faire un up car je ne vois toujours aucune réponse. Confused
_________________




ET VIVE ZELDA!!!
Revenir en haut de page
Voir le profil de l'utilisateur Envoyer un message privé
Vincent
Administrateur
Administrateur
Primé d'or
Primé d'or
Héros
Héros



Inscrit le: 05 Oct 2006
Age: 35

Messages: 4320

MessagePosté le: Lun Oct 31, 2011 20:07    Sujet du message: Répondre en citant

J'avais loupé ton post, tu fais bien de le upper...

Cependant je ne peux pas y faire grand chose, je n'ai pas la version Lion, je ne vais pas pouvoir faire de version compatible moi même...

Si tu connais d'autres personnes qui ont Lion, ce serait bien de savoir si les jeux marchent chez eux... C'est curieux si Mac OS ne maintiens pas la rétrocompatibilité avec les versions précédentes...
Revenir en haut de page
Voir le profil de l'utilisateur Envoyer un message privé Envoyer un e-mail Visiter le site web de l'utilisateur MSN Messenger
Zeldon
Poule
Poule



Inscrit le: 16 Mai 2009
Age: 26

Messages: 105
Localisation: par ici, et aussi par là

MessagePosté le: Jeu Nov 03, 2011 18:10    Sujet du message: Répondre en citant

Normalement oui il y a rétrocompatibilité mais pas pour toutes les applications (tout comme la PS3 avec la PS2), certaines nécessite quand même une mise à jour…
Je vais vois si je trouve d'autres personnes sur Lion pour voir si ils ont le même problème. Sinon du point de vu compilation, il suffit de recompiler ou il y a quelque chose à modifier? Si c'est une simple compilation je peux tenter le coup.

Edit: je ne peux pas faire une simple recompilation, pour les 2 premiers opus il me fait 1 simple erreur fatal, il me dit que "GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file SDLMain.m)"
Pour 3T, il me fait 4360 erreurs, apparemment la plupart par rapport au SDL, je n'ai pas regardé en détail… (en plus je sais pas vraiment ce que c'est ^^)
_________________




ET VIVE ZELDA!!!
Revenir en haut de page
Voir le profil de l'utilisateur Envoyer un message privé
lelinuxien
Esprit
Esprit



Inscrit le: 29 Aoû 2007
Age: 34

Messages: 20
Localisation: Québec

MessagePosté le: Sam Jan 07, 2012 14:55    Sujet du message: Répondre en citant

J'ai tenté de recompiler sous Lion avec Xcode 4.21 et SDK 10.7, ça n'a pas l'air de changer quoi que ce soit, ça plante toujours (même avec une version plus récente des bibliothèques SDL, etc).


EDIT: Pas besoin de faire compliqué, je viens apparemment de trouver ce qui ne va pas. En injectant un autre SDL.Framework plus récent, j'ai réussi lancer OLB sous Lion (en fait, le problème vient du fait que Lion n'aime pas les applications SDL en mode plein écran). Idem pour ROTH. Pas encore testé sur Zelda 3T par contre, mais je suppose que ça devrait être pareil.

REEDIT: Les 3 jeux fonctionnent désormais sous MacOS X Lion. Wink

Nouvel EDIT: Je ne sais pas si Vincent a eu le temps de regarder mon MP, voici les liens (j'ai uploadé sur un FTP où j'avais accès):
http://www.zeldaforce.net/roth/Zelda%203T%201.8.zip
http://www.zeldaforce.net/roth/Zelda%20ROTH%206.11%20FR.zip
http://www.zeldaforce.net/roth/ZeldaOLB%203.6.zip

Ces versions sont identiques aux officielles, je n'ai rien recompilé, j'ai juste remplacé le framework SDL par la version 1.2.15. Cette version est 100% compatible Lion et fonctionne en mode plein écran. La version 10.3.9 de MacOS X est par contre mise aux oubliettes (minimum requis: 10.4).
Revenir en haut de page
Voir le profil de l'utilisateur Envoyer un message privé Visiter le site web de l'utilisateur MSN Messenger
Montrer les messages depuis:   
Poster un nouveau sujet   Répondre au sujet    zeldaroth.fr Index du Forum -> Zelda ROTH Toutes les heures sont au format GMT + 2 Heures
Page 1 sur 1

 
Sauter vers:  
Vous ne pouvez pas poster de nouveaux sujets dans ce forum
Vous ne pouvez pas répondre aux sujets dans ce forum
Vous ne pouvez pas éditer vos messages dans ce forum
Vous ne pouvez pas supprimer vos messages dans ce forum
Vous ne pouvez pas voter dans les sondages de ce forum


Powered by phpBB © 2001, 2005 phpBB Group
Traduction par : phpBB-fr.com